# Change Log

## [v1.0.1](https://github.com/feathersjs/authentication-oauth2/tree/v1.0.1) (2017-11-16)
[Full Changelog](https://github.com/feathersjs/authentication-oauth2/compare/v1.0.0...v1.0.1)

**Closed issues:**

- `facebook.profileFields` not works properly [\#57](https://github.com/feathersjs/authentication-oauth2/issues/57)
- I get Internal server error after I auth with Google authentication [\#55](https://github.com/feathersjs/authentication-oauth2/issues/55)
- Cannot connect with OAuth2, always getting 404 Not Found Page. [\#54](https://github.com/feathersjs/authentication-oauth2/issues/54)

**Merged pull requests:**

- Add default export for better ES module \(TypeScript\) compatibility [\#58](https://github.com/feathersjs/authentication-oauth2/pull/58) ([daffl](https://github.com/daffl))
- Update @feathersjs/authentication to the latest version 🚀 [\#56](https://github.com/feathersjs/authentication-oauth2/pull/56) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))

## [v1.0.0](https://github.com/feathersjs/authentication-oauth2/tree/v1.0.0) (2017-11-01)
[Full Changelog](https://github.com/feathersjs/authentication-oauth2/compare/v1.0.0-pre.1...v1.0.0)

**Merged pull requests:**

- Update dependencies for release [\#52](https://github.com/feathersjs/authentication-oauth2/pull/52) ([daffl](https://github.com/daffl))

## [v1.0.0-pre.1](https://github.com/feathersjs/authentication-oauth2/tree/v1.0.0-pre.1) (2017-10-25)
[Full Changelog](https://github.com/feathersjs/authentication-oauth2/compare/v0.3.2...v1.0.0-pre.1)

**Merged pull requests:**

- Update to Feathers v3 [\#51](https://github.com/feathersjs/authentication-oauth2/pull/51) ([daffl](https://github.com/daffl))
- Rename repository and use npm scope [\#50](https://github.com/feathersjs/authentication-oauth2/pull/50) ([daffl](https://github.com/daffl))
- Update to new plugin infrastructure [\#49](https://github.com/feathersjs/authentication-oauth2/pull/49) ([daffl](https://github.com/daffl))

## [v0.3.2](https://github.com/feathersjs/authentication-oauth2/tree/v0.3.2) (2017-10-15)
[Full Changelog](https://github.com/feathersjs/authentication-oauth2/compare/v0.3.1...v0.3.2)

**Closed issues:**

- Examples are no longer working due to missing email property [\#40](https://github.com/feathersjs/authentication-oauth2/issues/40)
- Log a warning if this.service.id is undefined or null [\#21](https://github.com/feathersjs/authentication-oauth2/issues/21)

**Merged pull requests:**

- Erroring if service.id is undefined. Closes \#21. [\#47](https://github.com/feathersjs/authentication-oauth2/pull/47) ([ekryski](https://github.com/ekryski))
- Update mocha to the latest version 🚀 [\#46](https://github.com/feathersjs/authentication-oauth2/pull/46) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Update examples to work with latest OAuth payload [\#45](https://github.com/feathersjs/authentication-oauth2/pull/45) ([teddy-error](https://github.com/teddy-error))
- Update sinon to the latest version 🚀 [\#43](https://github.com/feathersjs/authentication-oauth2/pull/43) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))

## [v0.3.1](https://github.com/feathersjs/authentication-oauth2/tree/v0.3.1) (2017-09-27)
[Full Changelog](https://github.com/feathersjs/authentication-oauth2/compare/v0.3.0...v0.3.1)

**Closed issues:**

- Google "hostedDomain" not working [\#13](https://github.com/feathersjs/authentication-oauth2/issues/13)

**Merged pull requests:**

- Simplified redirectOptions \(\#42\) [\#44](https://github.com/feathersjs/authentication-oauth2/pull/44) ([nsainaney](https://github.com/nsainaney))

## [v0.3.0](https://github.com/feathersjs/authentication-oauth2/tree/v0.3.0) (2017-09-25)
[Full Changelog](https://github.com/feathersjs/authentication-oauth2/compare/v0.2.6...v0.3.0)

**Closed issues:**

- Missing params on OAuth redirect creation [\#41](https://github.com/feathersjs/authentication-oauth2/issues/41)
- how to custom callback page after authetication [\#39](https://github.com/feathersjs/authentication-oauth2/issues/39)
- profileUrl is undefined [\#38](https://github.com/feathersjs/authentication-oauth2/issues/38)
- Use patch to update the entity instead of update [\#31](https://github.com/feathersjs/authentication-oauth2/issues/31)
- Update existing user in verifier will change the user password hash from an already hashed password. [\#19](https://github.com/feathersjs/authentication-oauth2/issues/19)

**Merged pull requests:**

- Added support for redirect options on strategy options \(\#41\) [\#42](https://github.com/feathersjs/authentication-oauth2/pull/42) ([nsainaney](https://github.com/nsainaney))
- \#19 Fix: using patch to update entity in verifier [\#20](https://github.com/feathersjs/authentication-oauth2/pull/20) ([skinnyworm](https://github.com/skinnyworm))

## [v0.2.6](https://github.com/feathersjs/authentication-oauth2/tree/v0.2.6) (2017-09-12)
[Full Changelog](https://github.com/feathersjs/authentication-oauth2/compare/v0.2.5...v0.2.6)

**Closed issues:**

- 0.2.5 introduced breaking changes [\#36](https://github.com/feathersjs/authentication-oauth2/issues/36)
- An in-range update of feathers is breaking the build 🚨 [\#34](https://github.com/feathersjs/authentication-oauth2/issues/34)

**Merged pull requests:**

- Fix old property name fallback for backwards compatibility [\#37](https://github.com/feathersjs/authentication-oauth2/pull/37) ([daffl](https://github.com/daffl))
- Include babel-polyfill and package-lock.json [\#35](https://github.com/feathersjs/authentication-oauth2/pull/35) ([daffl](https://github.com/daffl))
- Update debug to the latest version 🚀 [\#30](https://github.com/feathersjs/authentication-oauth2/pull/30) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Update sinon to the latest version 🚀 [\#29](https://github.com/feathersjs/authentication-oauth2/pull/29) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))

## [v0.2.5](https://github.com/feathersjs/authentication-oauth2/tree/v0.2.5) (2017-06-21)
[Full Changelog](https://github.com/feathersjs/authentication-oauth2/compare/v0.2.4...v0.2.5)

**Closed issues:**

- Module is using the wrong default config key [\#23](https://github.com/feathersjs/authentication-oauth2/issues/23)
- Generated default.json is missing scope for Google OAuth [\#14](https://github.com/feathersjs/authentication-oauth2/issues/14)
- Cookie not getting set [\#12](https://github.com/feathersjs/authentication-oauth2/issues/12)

**Merged pull requests:**

- Greenkeeper/chai 4.0.2 [\#28](https://github.com/feathersjs/authentication-oauth2/pull/28) ([daffl](https://github.com/daffl))
- using correct auth key. Closes 23. [\#24](https://github.com/feathersjs/authentication-oauth2/pull/24) ([ekryski](https://github.com/ekryski))
- Update semistandard to the latest version 🚀 [\#17](https://github.com/feathersjs/authentication-oauth2/pull/17) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Update feathers-hooks to the latest version 🚀 [\#16](https://github.com/feathersjs/authentication-oauth2/pull/16) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))
- Update dependencies to enable Greenkeeper 🌴 [\#15](https://github.com/feathersjs/authentication-oauth2/pull/15) ([greenkeeper[bot]](https://github.com/apps/greenkeeper))

## [v0.2.4](https://github.com/feathersjs/authentication-oauth2/tree/v0.2.4) (2017-03-24)
[Full Changelog](https://github.com/feathersjs/authentication-oauth2/compare/v0.2.3...v0.2.4)

**Closed issues:**

- Support oauth2 endpoint within sub-app or reverse proxy [\#9](https://github.com/feathersjs/authentication-oauth2/issues/9)
- OAuth JWT user data [\#4](https://github.com/feathersjs/authentication-oauth2/issues/4)

**Merged pull requests:**

- Follow failureRedirect on oauth2 authentication failure [\#11](https://github.com/feathersjs/authentication-oauth2/pull/11) ([buske](https://github.com/buske))
- Issue \#9: Add callbackPath option to support oauth2 endpoint within sub-app or server proxy [\#10](https://github.com/feathersjs/authentication-oauth2/pull/10) ([buske](https://github.com/buske))

## [v0.2.3](https://github.com/feathersjs/authentication-oauth2/tree/v0.2.3) (2016-12-14)
[Full Changelog](https://github.com/feathersjs/authentication-oauth2/compare/v0.2.2...v0.2.3)

## [v0.2.2](https://github.com/feathersjs/authentication-oauth2/tree/v0.2.2) (2016-12-14)
[Full Changelog](https://github.com/feathersjs/authentication-oauth2/compare/v0.2.1...v0.2.2)

**Merged pull requests:**

- fixing success and failure redirects [\#6](https://github.com/feathersjs/authentication-oauth2/pull/6) ([ekryski](https://github.com/ekryski))

## [v0.2.1](https://github.com/feathersjs/authentication-oauth2/tree/v0.2.1) (2016-12-14)
[Full Changelog](https://github.com/feathersjs/authentication-oauth2/compare/v0.2.0...v0.2.1)

## [v0.2.0](https://github.com/feathersjs/authentication-oauth2/tree/v0.2.0) (2016-11-23)
[Full Changelog](https://github.com/feathersjs/authentication-oauth2/compare/v0.1.2...v0.2.0)

**Merged pull requests:**

- adding compatibility with payload generation [\#3](https://github.com/feathersjs/authentication-oauth2/pull/3) ([ekryski](https://github.com/ekryski))

## [v0.1.2](https://github.com/feathersjs/authentication-oauth2/tree/v0.1.2) (2016-11-20)
[Full Changelog](https://github.com/feathersjs/authentication-oauth2/compare/v0.1.1...v0.1.2)

**Merged pull requests:**

- include feathers-commons and use omit, pick, and makeUrl from that. [\#2](https://github.com/feathersjs/authentication-oauth2/pull/2) ([ekryski](https://github.com/ekryski))

## [v0.1.1](https://github.com/feathersjs/authentication-oauth2/tree/v0.1.1) (2016-11-19)
[Full Changelog](https://github.com/feathersjs/authentication-oauth2/compare/v0.1.0...v0.1.1)

**Merged pull requests:**

- pulling options for strategy from global auth config [\#1](https://github.com/feathersjs/authentication-oauth2/pull/1) ([ekryski](https://github.com/ekryski))

## [v0.1.0](https://github.com/feathersjs/authentication-oauth2/tree/v0.1.0) (2016-11-16)


\* *This Change Log was automatically generated by [github_changelog_generator](https://github.com/skywinder/Github-Changelog-Generator)*